protocol Greeting {
    func hello() -> String
}

struct Robot: Greeting {
    var name: String
    func hello() -> String {
        return "こんにちは。私は\(name)"
    }
}

struct Doll: Greeting {
    var name: String
    func hello() -> String {
        return "ハロー。私は\(name)"
    }
}

var g1: Greeting = Robot(name: "R2D2")
var g2: Greeting = Doll(name: "リカ")

func greet(obj: Greeting){
    print(obj.hello())
}

greet(obj: g1)
greet(obj: g2)
