//
//  ContentView.swift
//  Picker2
//
//  Created by 大津 真 on 2020/02/17.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var color = 1
    let colors = [Color.red, Color.blue, Color.orange]
    
    var body: some View {
        VStack {
            Text("色名を選択: \(color)")
                .background(colors[color])
            Picker(selection: $color, label: Text("色名")) {
                Text("赤").tag(0)
                Text("青").tag(1)
                Text("オレンジ").tag(2)
            }
            .pickerStyle(SegmentedPickerStyle())
        }
        .font(.largeTitle)
    }
}
struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
