//
//  ContentView.swift
//  TextField1
//
//  Created by 大津 真 on 2020/02/17.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State private var name = ""
	var body: some View {
		VStack {
			HStack {
				Text("名前")
				TextField("名前を入力してください", text: $name)
					.textFieldStyle(RoundedBorderTextFieldStyle())
			}
			if name != "" {
				Text("ハロー \(name)さん")
			}
		}
		.font(.title)
	}
}

struct ContentView_Previews: PreviewProvider {
	static var previews: some View {
		ContentView()
	}
}
