//
//  ContentView.swift
//  Draw1
//
//  Created by 大津 真 on 2020/02/24.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
		VStack {
			// 長方形
			Rectangle()
				.fill(Color.yellow)
				.frame(width: 300, height: 100)
			// 角丸の長方形
			RoundedRectangle(cornerRadius: 10)
				.fill(Color.blue)
				.frame(width: 300, height: 100)
			// カプセル型
			Capsule()
				.fill(Color.green)
				.frame(width: 300, height: 100)
			// 正円
			Circle()
				.fill(Color.purple)
				.frame(width:200, height: 200)
			// 楕円
			Ellipse()
				.fill(Color.orange)
				.frame(width: 300, height: 100)
		}
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
