//
//  WebKitTest.swift
//  WebKit1
//
//  Created by 大津 真 on 2020/02/25.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI
import WebKit

struct WebKitTest: UIViewRepresentable {
	var url: String
	
	func makeUIView(context: Context) -> WKWebView {
		return WKWebView()
	}
	
	func updateUIView(_ uiView: WKWebView, context: Context) {
		uiView.load(URLRequest(url: URL(string: url)!))
	}
}

struct WebKitTest_Previews: PreviewProvider {
	static var previews: some View {
		WebKitTest(url: "https://google.com")
	}
}
