//
//  ContentView.swift
//  NavigationTest2
//
//  Created by 大津 真 on 2020/02/18.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State private var name = ""
	var body: some View {		
		NavigationView() {
			VStack {
				NavigationLink(destination: SecondView(name: $name)){
					Text("2番目のビューを表示")
						.font(.title)
				}
				.navigationBarTitle("最初のビュー")
				
				if name != "" {
					Text("こんにちは \(name)さん")
						.font(.largeTitle)
				}
			}
		}				
	}
}

struct ContentView_Previews: PreviewProvider {
	static var previews: some View {
		ContentView()
	}
}
