//
//  ContentView.swift
//  Gesture2
//
//  Created by 大津 真 on 2020/04/20.
//  Copyright © 2020 大津 真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var rotateState: Double = 0
    
    var body: some View {
        Image(systemName: "person")
            .resizable()
            .scaledToFit()
            .frame(width:200, height:200)
            .rotationEffect(Angle(degrees: self.rotateState))
            .gesture(RotationGesture()
                .onChanged { value in
                    self.rotateState = value.degrees
                }
            )
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
